# Uses of Class
org.eclipse.team.core.mapping.provider.SynchronizationContext

Packages that use SynchronizationContext
Package
Description
org.eclipse.team.core.mapping.provider
Application programming interfaces for working with resource mappings.
org.eclipse.team.core.subscribers
Application programming interfaces for generating and refreshing synchronization state.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of SynchronizationContext in org.eclipse.team.core.mapping.provider

Subclasses of SynchronizationContext in org.eclipse.team.core.mapping.provider
Modifier and Type
Class
Description
`class`
`MergeContext`
Provides the context for an `IResourceMappingMerger`.

## Uses of SynchronizationContext in org.eclipse.team.core.subscribers

Subclasses of SynchronizationContext in org.eclipse.team.core.subscribers
Modifier and Type
Class
Description
`class`
`SubscriberMergeContext`
A merge context that uses a subscriber to populate the diff tree used by the context.

## Uses of SynchronizationContext in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return SynchronizationContext
Modifier and Type
Method
Description
`protected abstract SynchronizationContext`
ModelParticipantMergeOperation.`createMergeContext()`
Create a merge context for use by this operation.
Methods in org.eclipse.team.ui.synchronize with parameters of type SynchronizationContext
Modifier and Type
Method
Description
`static ModelSynchronizeParticipant`
ModelSynchronizeParticipant.`createParticipant(SynchronizationContext context, String name)`
Create a participant for the given context and name
`protected void`
ModelSynchronizeParticipant.`initializeContext(SynchronizationContext context)`
Set the context of this participant.
Constructors in org.eclipse.team.ui.synchronize with parameters of type SynchronizationContext
Modifier
Constructor
Description
``
`ModelSynchronizeParticipant(SynchronizationContext context)`
Create a participant for the given context